Name: mutter
Version: 2.28.0
Release: alt1
Summary: Clutter based compositing GTK2 Window Manager
License: GPLv2+
Group: Graphical desktop/GNOME
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>
Url: http://ftp.gnome.org/pub/gnome/sources/%name

Requires: lib%name = %version-%release
Requires: zenity

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(Pre): libGConf-devel
BuildRequires: gobject-introspection-devel gnome-common gtk-doc intltool libSM-devel libXcursor-devel libXinerama-devel
BuildRequires: libXrandr-devel libclutter-devel libstartup-notification-devel zenity

%description
mutter is a minimal X window manager aimed at nontechnical users and is
designed  to  integrate well with the GNOME desktop.  mutter lacks some
features that may be expected by traditional UNIX  or  other  technical
users;  these users may want to investigate other available window man-
agers for use with GNOME or standalone.

%package -n lib%name
Summary: Shared library for Mutter
Group: System/Libraries

%description -n lib%name
This package contains shared library needed to run Mutter.

%package -n lib%name-devel
Summary: Development files for lib%name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains headers and development libraries for lib%name

%package gnome
Summary: GNOME-specific parts of Mutter
Group: Graphical desktop/GNOME
Provides: gnome-wm
Requires: %name = %version-%release

%description gnome
This package contains everything necessary to use Mutter in GNOME desktop
environment.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--without-introspection \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

%find_lang --with-gnome %name creating-%name-themes

%post gnome
%gconf2_install %name

%preun gnome
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi

%files -f %name.lang
%doc README AUTHORS NEWS
%_bindir/*
%_libdir/%name
%_datadir/%name
%_desktopdir/%name.desktop
%_man1dir/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%doc doc/*.txt HACKING
%_includedir/%name
%_libdir/*.so
%_pkgconfigdir/*.pc

%files gnome
%_sysconfdir/gconf/schemas/%name.schemas
%_datadir/gnome/wm-properties/%name-wm.desktop

%changelog
* Thu Oct 08 2009 Valery Inozemtsev <shrek@altlinux.ru> 2.28.0-alt1
- 2.28.0

* Wed Sep 16 2009 Valery Inozemtsev <shrek@altlinux.ru> 2.27.5-alt1
- 2.27.5

* Mon Sep 07 2009 Valery Inozemtsev <shrek@altlinux.ru> 2.27.4-alt1
- 2.27.4

* Sat Aug 29 2009 Valery Inozemtsev <shrek@altlinux.ru> 2.27.3-alt1
- 2.27.3

* Wed Aug 12 2009 Valery Inozemtsev <shrek@altlinux.ru> 2.27.2-alt1
- 2.27.2

* Wed Aug 05 2009 Valery Inozemtsev <shrek@altlinux.ru> 2.27.1-alt1
- initial release

